QGIS Application - Feature request #16148
legend of proportionate circles: circles should be centered, not left justified
2017-02-05 10:41 AM - mlennert -

Status: Feedback

Priority: Normal

Assignee:

Category: Map Composer/Printing

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 24060
Description

When creating a legend of proportionate circles in the map composer, the circles are drawn left justified.
It would be nice if they were centered, or if the user could at least chose to center them.
I'm attaching an image to show the problem.

I'm classifying this as a feature request but hesitated to classify it as a bug since IMHO the current solution does not make the legend
usable for professional cartography.

History

#1 - 2017-05-01 12:44 AM - Giovanni Manghi
- Easy fix? set to No

#2 - 2017-08-13 05:50 PM - mlennert -
- Description updated

Is this really so difficult to fix ? All circles should "just” be centered at x = diameter of largest circle / 2.

This really makes the legend look very bad...

#3 - 2017-08-13 06:07 PM - Giovanni Manghi
- Status changed from Open to Feedback

mlennert - wrote:

Is this really so difficult to fix ? All circles should "just" be centered at x = diameter of largest circle / 2.

This really makes the legend look very bad...

have you checked qgis master? there have been changes in this area there. Or have you considered supporting the fix? Cheers!

#4 - 2017-08-14 04:55 AM - Nyall Dawson

It already works in 2.x - just make sure your legend symbol width setting is large enough to fit your largest symbol.
